/****************************************************************************
 *
 * Copy right:   Qx.Chen Jie
 * File name:    LedTask.h
 * Description:  Led闪烁逻辑
 * History:      2021-07-05
 * Version:      V3.0
 ****************************************************************************/
#include "commontypedef.h"
#include "bsp.h"
#include "bsp_custom.h"
#include "osasys.h"
#include "ostask.h"
#include "queue.h"
#include "ps_event_callback.h"
#include "cmisim.h"
#include "cmimm.h"
#include "cmips.h"
#include "sockets.h"
#include "psifevent.h"
#include "ps_lib_api.h"
#include "lwip/netdb.h"
#include "debug_log.h"
#include "slpman_ec616.h"
#include "plat_config.h"
#include "ec_tcpip_api.h"
#include "hal_module_adapter.h"
#include "timers.h"
#include "Signal.h"

#define PROC_LED_TASK_STACK_SIZE           (256)
typedef enum
{
    PROCESS_LED_STATE_IDLE = 0,
    PROCESS_LED_STATE_WORK,
    PROCESS_LED_STATE_SLEEP
}process_LED;
void LedTaskInit(void *arg);
void LedTaskDeInit(void *arg);
